
# todo

Determine the disk the installer is on and ignore it when running lsblk to list selectable format disks.

Some AUR libraries to add (what for again?):

https://aur.archlinux.org/packages/ncurses5-compat-libs
https://aur.archlinux.org/packages/lib32-ncurses5-compat-libs/

- Replace PACKER env var with auto-detection via `[ $(dmidecode | grep -c VirtualBox) -gt 0 ]`

- Use the latest successful packer build to try out `sway` and `wayland` packages as an alternative to openbox

- transition from root systemd launched transmission to user-space specific; this eliminates future collisions and permission issues


---

also sway/wayland are supported by steam/proton???
https://www.reddit.com/r/swaywm/comments/eksf1p/steam_now_fully_works_under_sway/
with my new desktop I will at the very least give this a try!
https://wiki.archlinux.org/index.php/Sway


---

- Research whether we can add SIGINT support to terminal login (like Debian) to cancel quickly after typo
	- https://bbs.archlinux.org/viewtopic.php?pid=1942165#p1942165

- attempt to transition to `sway` and `wayland`
- replace `virtualbox` with `kvm`?
- experiment with `fcitx-mozc` for IME support

- try out alternative file browsers with these goals:
	- image thumbnail support, including webp
	- folder thumbnails!!!
- Suggested FB:
	- Dolphin
		- requires generic package with options thus conflicting automated install...
	- Nautilus
	- Thunar
		- same theme support as pcmanfm, so far looks great!
		- no support for webp even with custom thumbnailer; _may require a reboot?_
		- _need to rewrite directory thumbnailer_
- investigate `libfm`/`pcmanfm` plugins/enhancements to:
	- support directory thumbnails
		- https://github.com/gcavallo/pcmanfm-covers
		- https://sourceforge.net/p/pcmanfm/bugs/1020/
	- support `webp` thumbnails, including animated `webp`
		- https://aur.archlinux.org/packages/webp-thumbnailer/


- try out i3 window manager
- try out `docky` as a combined replacement for `gmrun` and `tint2`
- experiment with tint2 alternatives (menubar):
	- dzen
	- lemonbar
	- polybar
	- yabar
	- i3blocks
	- stalonetray
- experiment with notification services (_I don't use one personally_):
	- dunst
	- statnot
	- twmn
- experiment gmrun alternatives (launchers; _would love one that can do math_):
	- rofi
	- albert
	- dmenu
	- kupfer


---

I'd like to look into replacing `startx` and `xinit` with systemd unit file to launch the desktop on-demand.

https://wiki.archlinux.org/index.php/Systemd/User#Xorg_as_a_systemd_user_service

Looks like the systemd approach does work with minor caveats.  So long as I can work with those I think this would be an excellent choice.

https://lists.freedesktop.org/archives/systemd-devel/2014-March/017552.html

_This requires the `dex` package to launch `.desktop` files from the command line._


## notes

Low level terminal package differs on debian making SIGINT login cancellation not possible on Arch without modifying and compiling said package.
